/*
 * App Global CSS
 * ----------------------------------------------------------------------------
 * Put style rules here that you want to apply globally. These styles are for
 * the entire app and not just one component. Additionally, this file can be
 * used as an entry point to import other CSS/Sass files to be included in the
 * output CSS.
 * For more information on global stylesheets, visit the documentation:
 * https://ionicframework.com/docs/layout/global-stylesheets
 */

/* Core CSS required for Ionic components to work properly */
@import "~@ionic/angular/css/core.css";

/* Basic CSS for apps built with Ionic */
@import "~@ionic/angular/css/normalize.css";
@import "~@ionic/angular/css/structure.css";
@import "~@ionic/angular/css/typography.css";
@import '~@ionic/angular/css/display.css';

/* Optional CSS utils that can be commented out */
@import "~@ionic/angular/css/padding.css";
@import "~@ionic/angular/css/float-elements.css";
@import "~@ionic/angular/css/text-alignment.css";
@import "~@ionic/angular/css/text-transformation.css";
@import "~@ionic/angular/css/flex-utils.css";


/* cyrillic-ext */
@font-face {
  font-family: 'Oswald';
  font-style: normal;
  font-weight: 400;
  src: url(https://fonts.gstatic.com/s/oswald/v36/TK3_WkUHHAIjg75cFRf3bXL8LICs1_FvsUtiYySUhiCXABTV.woff) format('woff');
  unicode-range: U+0460-052F, U+1C80-1C88, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;
}

/* cyrillic */
@font-face {
  font-family: 'Oswald';
  font-style: normal;
  font-weight: 400;
  src: url(https://fonts.gstatic.com/s/oswald/v36/TK3_WkUHHAIjg75cFRf3bXL8LICs1_FvsUJiYySUhiCXABTV.woff) format('woff');
  unicode-range: U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;
}

/* vietnamese */
@font-face {
  font-family: 'Oswald';
  font-style: normal;
  font-weight: 400;
  src: url(https://fonts.gstatic.com/s/oswald/v36/TK3_WkUHHAIjg75cFRf3bXL8LICs1_FvsUliYySUhiCXABTV.woff) format('woff');
  unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+1EA0-1EF9, U+20AB;
}

/* latin-ext */
@font-face {
  font-family: 'Oswald';
  font-style: normal;
  font-weight: 400;
  src: url(https://fonts.gstatic.com/s/oswald/v36/TK3_WkUHHAIjg75cFRf3bXL8LICs1_FvsUhiYySUhiCXABTV.woff) format('woff');
  unicode-range: U+0100-024F, U+0259, U+1E00-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
}

/* latin */
@font-face {
  font-family: 'Oswald';
  font-style: normal;
  font-weight: 400;
  src: url(https://fonts.gstatic.com/s/oswald/v36/TK3_WkUHHAIjg75cFRf3bXL8LICs1_FvsUZiYySUhiCXAA.woff) format('woff');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

h1,
h2,
h3,
h4,
h5,
h6,
p {
  font-family: 'Oswald' !important;
}

ion-title {
  font-family: 'Oswald' !important;
}

ion-toolbar {
  font-family: 'Oswald' !important;
}

ion-item {
  font-family: 'Oswald' !important;
}

ion-label {
  font-family: 'Oswald' !important;
}

ion-text {
  font-family: 'Oswald' !important;
}

ion-span {
  font-family: 'Oswald' !important;
}

ion-button {
  font-family: 'Oswald' !important;
}

ion-icon {
  font-family: 'Oswald' !important;
}

ion-input {
  font-family: 'Oswald' !important;
}

ion-card {
  font-family: 'Oswald' !important;
}

strong {
  font-family: 'Oswald' !important;
}

div {
  font-family: 'Oswald' !important;
}

.heading_font {
  font-size: 20px !important;
}

.vertically_align_center {
  display: flex !important;
  justify-content: center !important;
  align-items: center !important;
  height: 100%;
}

.header_clas {
  --background: #25223b;

  img {
    max-width: 10%;
    // max-width: 52%;
  }

  ion-icon {
    color: white;
  }

  ion-title {
    color: white;
  }

  padding: 0px 8px 0px 8px;
}

ion-title {
  text-align: center;
}

ion-toolbar {
  padding: 0px 4px;
}

ion-item {
  --ion-item-background: transparent;
}

// backgrounds //
.bg-white {
  background-color: #fff;
}

.bg-light {
  background-color: var(--ion-color-light);
}

.bg-dark {
  background-color: var(--ion-color-dark);
}

.bg-primary {
  background-color: var(--ion-color-primary);
}

.bg-secondary {
  background-color: var(--ion-color-secondary);
}

.bg-tertiary {
  background-color: var(--ion-color-tertiary);
}

.bg-profile {
  background-image: linear-gradient(135deg, var(--ion-color-black), var(--ion-color-primary))
}

.bg-toast {
  .toast-container {
    background: var(--ion-color-primary) !important;
    //display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    pointer-events: auto;
    contain: content;
    font-family: 'Oswald';
  }
}

.bg-main {
  background-image: linear-gradient(-135deg, var(--ion-color-medium), var(--ion-color-light))
}

// Helpers //
.w100 {
  width: 100%;
}

.bold,
.fw500 {
  font-weight: 500 !important;
}

.fw700 {
  font-weight: 700 !important;
}

.text08 {
  font-size: .8rem;
}

.text1 {
  font-size: 1rem !important;
}

.text12 {
  font-size: 1.2rem;
}

.text15 {
  font-size: 1.5rem;
}

.text20 {
  font-size: 2rem;
}

.text-white {
  color: #fff;
}

.text-primary {
  color: var(--ion-color-primary);
}

.text-secondary {
  color: var(--ion-color-secondary);
}

.text-dark {
  color: var(--ion-color-dark);
}

.alertSuccess {
  background: var(--ion-color-primary) !important;

}

.alertCustom {
  .alert-head {
    // background: var(--ion-color-dark) !important;
    color: var(--ion-color-secondary) !important;
    margin-bottom: 10px;
  }


}

// menu //
// Menu user profile
ion-toolbar.user-profile {

  --background: #25223b;

  .user-avatar {
    width: 68px;
    height: 68px;
  }

  .item-inner {
    border-width: 0;
  }
}

// Custom toolbar (overriding Shadow DOM)
ion-toolbar {
  &.ion-color-primary {
    --ion-color-base: linear-gradient(135deg, var(--ion-color-dark), var(--ion-color-primary)) !important;
  }
}

// Android card shadow
ion-card {
  &.sc-ion-card-md-h {
    box-shadow: 0 2px 4px rgba(var(--ion-color-dark-rgb), .24);
  }
}

// style for auth pages
.auth-page {
  background-image: linear-gradient(135deg, var(--ion-color-dark), var(--ion-color-primary));

  .grid {
    padding: 0;

    .col {
      padding: 0;
    }
  }

  .btn-group {

    .button-ios,
    .button-md {
      border-radius: 0;

      &:first-of-type {
        border-radius: 2px 0 0 2px;
      }

      &:last-of-type {
        border-radius: 0 2px 2px 0;
      }
    }
  }

  .auth-content {
    margin: 0 5%;

    .logo {
      width: 150px;
      height: 150px;
      margin: 20px auto 8px;
      border-radius: 10%;
      background: url("/assets/img/logo.png") no-repeat;
      background-size: 100%;
    }

    .list-form {
      padding: 0;
      margin-bottom: 0;

      ion-item {
        background: none;
        padding: 0;

        &:first-child {
          border-top: none;
        }

        &:after {
          display: none;
        }

        ion-label {
          font-size: 1em;
          color: var(--ion-color-light);
        }

        input {
          color: var(--ion-color-light);
        }
      }
    }
  }

}

// Custom Menu styles (overriding Shadow DOM)
ion-menu {
  ion-header {
    ion-toolbar {
      &.ion-color-dark {
        --ion-color-base: linear-gradient(135deg, var(--ion-color-dark), var(--ion-color-primary)) !important;
      }
    }
  }
}

.mto {
  margin-top: 12px;

  ion-icon {
    margin-bottom: -2px;
  }
}

.alert-button.sc-ion-alert-ios {
  color: var(--ion-color-primary);
}

[aria-checked=true].sc-ion-alert-ios .alert-radio-inner.sc-ion-alert-ios {
  border-color: var(--ion-color-primary);
}

[aria-checked=true].sc-ion-alert-ios .alert-radio-label.sc-ion-alert-ios {
  color: var(--ion-color-primary);

}

.alert-button.sc-ion-alert-md {
  color: var(--ion-color-primary);
}

[aria-checked=true].sc-ion-alert-md .alert-radio-inner.sc-ion-alert-md {
  border-color: var(--ion-color-primary);
}

[aria-checked=true].sc-ion-alert-md .alert-radio-label.sc-ion-alert-md {
  color: var(--ion-color-primary);

}

.alert-radio-inner.sc-ion-alert-md {
  color: var(--ion-color-primary);
}


// 

.position-absolute {
  position: absolute;
}

.position-relative {
  position: relative;
}

.text-align-center {
  text-align: center;
}

.mr-5 {
  margin-right: 5px;
}

.p-5 {
  padding: 5px;
}

.font-weight-600 {
  font-weight: 600;
}

.text-align-left {
  text-align: left;
}

.mr-5 {
  margin-right: 5px;
}

.gray-text {
  padding: 5px 10px;
  font-size: 10px;
  color: gray;
}

.header-clr {
  --background: #25223b;
  height: 50px;
  display: flex;
  color: white;
}

.header-txt {
  text-transform: uppercase;
  font-size: 22px;
}

.clr-white {
  color: #fff;
}

.mt-5 {
  margin-top: 5px;
}

.clr-theme {
  --background: #25223b;
}

.pl-20 {
  padding-left: 20px;
}

.mt-10 {
  margin-top: 10px !important;
}

ion-toolbar {
  ion-title {
    padding: 0 !important;
  }

  ion-icon,
  ion-button {
    z-index: 22;
    outline: none;
  }
}

.color-black {
  --background: #25223b;
}

// img loading gif
img,
ion-img {
  //   background: url('./assets/loading.svg') no-repeat;
  background-position: center;
}

.ql-container {
  height: 54%;
}

.error-div {
  display: flex;
  width: 100%;
  padding-left: 10px;

  p.text08 {
    margin: 0;
    margin-top: 2px;
  }
}

.facebook_color {
  --background: #3b5998 !important;
}

.google_color {
  --background: #F4B400 !important;
}

.notification-button {
  padding-right: 10px;

  ion-icon {
    z-index: -1;
    color: #fff;
  }
}

.notifications-badge {
  background-color: red;
  position: absolute;
  top: -3px;
  right: 0px;
  border-radius: 100%;
}

////////////////////////   MODEL CSS   ////////////////////////////
.my-custom-modal-class {
  --backdrop-opacity: 0.8 !important;

  .modal-wrapper {
    --height: 70% !important;
    --width: 80% !important;
    position: absolute;
  }
}

// .my-image-modal-class   {
//   --backdrop-opacity: 0.8 !important;

//   .modal-wrapper {
//     --height: 80% !important;
//     --width: 80% !important;
//     position: absolute;
//   }
// }



////////////////////////   LOADER CSS   ////////////////////////////

.image {
  position: absolute;
  left: 35%;
  top: 43%;
  width: 110px;
  height: 110px;
  border-radius: 50%;
  border-radius: 50%;
  border: 10px solid c5c6cc;
  border: 10px dashed #25223b;
  -webkit-animation-name: spinning-circle;
  animation-name: spinning-circle;
  -webkit-animation-duration: 20s;
  animation-duration: 10s;
  animation: loading-wrapper-c 1.2s linear infinite;
  border: 6px solid #25223b;
  border-color: #25223b transparent #25223b;
}

.image {
  position: absolute;
  left: 0px;
  top: 0px;
  width: 75px;
  height: 75px;
  border-radius: 50%;
  border-radius: 50%;
  border: 10px solid c5c6cc;
  //   background: rgba(189, 189, 189, 0.6);
  //   -webkit-box-shadow: 0 16px 20px rgba(0, 0, 0, 0.4);
  //   box-shadow: 0 16px 20px rgba(0, 0, 0, 0.4);
}

.loading-wrapper-c {
  position: relative;
}

.loader_img {
  /* width: 47px !important; */
  /* height: 47px !important; */
  position: relative;
  left: 0px;
  top: 0px;
  border-radius: 50%;
  width: 55px !important;
  height: 55px !important;
}

@keyframes loading-wrapper-c {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

.image {
  position: absolute;
  left: 35%;
  top: 43%;
  width: 110px;
  height: 110px;
  border-radius: 50%;
  border-radius: 50%;
  border: 10px solid c5c6cc;
  border: 10px dashed #25223b;
  -webkit-animation-name: spinning-circle;
  animation-name: spinning-circle;
  -webkit-animation-duration: 20s;
  animation-duration: 10s;
  animation: loading-wrapper-c 1.2s linear infinite;
  border: 6px solid #25223b;
  border-color: #25223b transparent #25223b;
}

.image {
  position: absolute;
  left: 0px;
  top: 0px;
  width: 75px;
  height: 75px;
  border-radius: 50%;
  border-radius: 50%;
  border: 10px solid c5c6cc;
  //   background: rgba(189, 189, 189, 0.6);
  //   -webkit-box-shadow: 0 16px 20px rgba(0, 0, 0, 0.4);
  //   box-shadow: 0 16px 20px rgba(0, 0, 0, 0.4);
}

.loading-wrapper-c {
  position: relative;
}

.loader_img {
  /* width: 47px !important; */
  /* height: 47px !important; */
  position: relative;
  left: 0px;
  top: 0px;
  border-radius: 50%;
  width: 55px !important;
  height: 55px !important;
}


.loading-container {
 
  z-index: -1;
  transition: z-index 0.2s step-end;
 
  width: 100%;
  height: 100%;
  position: absolute;
 
  display: flex;
  justify-content: center;
  align-items: center;
  display: none;
 
  &.busy {
    z-index: 9999;
    display: flex;
    transition: z-index 0.2s step-start;
    .backdrop {
      opacity: 0.3;
    }
  }
 
  .backdrop {
    opacity: 0.01;
    transition: opacity 0.2s;
  }
 
  ion-spinner {
    width: 28px;
    height: 28px;
  }
  .loading-wrapper-c{
   border-radius: 2px;
    max-width: 280px;
    max-height: 90%;
    color: rgba(0, 0, 0, 0.5);
    background:rgba(189, 189, 189, 0.6);
    -webkit-box-shadow: 0 16px 20px rgba(0, 0, 0, 0.4);
    box-shadow: 0 16px 20px rgba(0, 0, 0, 0.4);
    display: -webkit-flex;
    padding: 10px;
    display: -webkit-flex;
    border-radius: 50%;
  }
  .loading-content-c{
     margin-left: 16px; 
  }
  .spinner-ios-crescent circle {
      stroke: #488aff;
  }
 
}